gtkmm: Gtk::RecentChooserWidget Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::RecentChooserWidget Class Reference
RecentFiles

RecentChooserWidget is a widget suitable for selecting recently used files. More...

Inheritance diagram for Gtk::RecentChooserWidget:
[legend]
Collaboration diagram for Gtk::RecentChooserWidget:
[legend]

List of all members.

## Public Member Functions
virtual | ~RecentChooserWidget ()
GtkRecentChooserWidget* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRecentChooserWidget* | gobj () const
| Provides access to the underlying C GtkObject.
| RecentChooserWidget ()
| RecentChooserWidget (const Glib::RefPtr< RecentManager >& recent_manager)
## Related Functions
(Note that these are not member functions.)
Gtk::RecentChooserWidget* | wrap (GtkRecentChooserWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

RecentChooserWidget is a widget suitable for selecting recently used files.

It is the main building block of a RecentChooserDialog. Most applications will only need to use the latter; you can use RecentChooserWidget as part of a larger window if you have special needs.

Note that RecentChooserWidget does not have any methods of its own. Instead, you should use the functions that work on a RecentChooser.

Since gtkmm 2.10:

## Constructor & Destructor Documentation

virtual Gtk::RecentChooserWidget::~RecentChooserWidget | ( |  | ) | `[virtual]`

Gtk::RecentChooserWidget::RecentChooserWidget | ( |  | ) |

Gtk::RecentChooserWidget::RecentChooserWidget | ( | const Glib::RefPtr< RecentManager >& | recent_manager | ) | `[explicit]`

## Member Function Documentation

GtkRecentChooserWidget* Gtk::RecentChooserWidget::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

const GtkRecentChooserWidget* Gtk::RecentChooserWidget::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

## Friends And Related Function Documentation

Gtk::RecentChooserWidget* wrap | ( | GtkRecentChooserWidget * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/recentchooserwidget.h